Index: /trunk/libIGCM/AA_job
===================================================================
--- /trunk/libIGCM/AA_job	(revision 618)
+++ /trunk/libIGCM/AA_job	(revision 619)
@@ -10,4 +10,16 @@
 #-Q- cesium #MSUB -E "-j o"
 #-Q- cesium #MSUB -E "-S /bin/ksh"
+#-Q- curie #!/usr/bin/ksh
+#-Q- curie ######################
+#-Q- curie ## CURIE   TGCC/CEA ##
+#-Q- curie ######################
+#-Q- curie #MSUB -r ::Jobname::       # nom de la requete
+#-Q- curie #MSUB -o Script_Output_::Jobname::.000001    # nom du fichier de sortie
+#-Q- curie #MSUB -e Script_Output_::Jobname::.000001    # nom du fichier de sortie
+#-Q- curie #MSUB -eo
+#-Q- curie #MSUB -n ::JobNumProcTot:: # reservation des processeurs pour le job
+#-Q- curie #MSUB -T 86400             # Limite temps (en secondes)
+#-Q- curie ##MSUB -p XXXXXXX
+#-Q- curie BATCH_NUM_PROC_TOT=$BRIDGE_MSUB_NPROC
 #-Q- platine #!/usr/bin/ksh
 #-Q- platine ##################
@@ -443,22 +455,14 @@
 
     echo "========================================================================"
-    if ( [ X${BATCH_NUM_PROC_TOT} != X ] && [ "${BATCH_NUM_PROC_TOT}" -gt 1 ] ) ; then
-	MPIRUN_COMMAND=${HOST_MPIRUN_COMMAND}
-	eval MPIRUN_OPTIONS=${config_UserChoices_JobRunOptions}
-    else
-	MPIRUN_COMMAND=${MPIRUN_COMMAND:="time "}
-	MPIRUN_OPTIONS=${MPIRUN_OPTIONS:=""}
-    fi
-
     if [ ${DRYRUN} -le 1 ] ; then
 	REAL_DATE_INIT=$( date )
-	echo "EXECUTION of : ${MPIRUN_COMMAND} ${MPIRUN_OPTIONS} ./${config_Executable_Name}   > ${Exe_Output} 2>&1"
 	echo                                                                                   > ${Exe_Output}
 	echo "#######################################"                                        >> ${Exe_Output}
-        echo "EXECUTION of : ${MPIRUN_COMMAND} ${MPIRUN_OPTIONS} ./${config_Executable_Name}" >> ${Exe_Output}
+        echo "EXECUTION of : ${EXECUTION}"
+        echo "EXECUTION of : ${EXECUTION}"                                                    >> ${Exe_Output}
 	echo                                                                                  >> ${Exe_Output}
 	typeset RET
 	RUN_DATE_BEGIN=$( date '+%Y-%m-%dT%H:%M:%S' )
-	${MPIRUN_COMMAND} ${MPIRUN_OPTIONS} ./${config_Executable_Name} >> ${Exe_Output} 2>&1
+	${EXECUTION}  >> ${Exe_Output} 2>&1
 	RET=$?
 	RUN_DATE_END=$( date '+%Y-%m-%dT%H:%M:%S' )
@@ -476,5 +480,6 @@
 	echo                                            >> ${Exe_Output}
     else
-	echo "EXECUTION of : ${MPIRUN_COMMAND} ${MPIRUN_OPTIONS} ./${config_Executable_Name} simulated for DRYRUN = " $DRYRUN
+        echo "EXECUTION of : ${EXECUTION} simulated for DRYRUN = " $DRYRUN
+        echo "EXECUTION of : ${EXECUTION} simulated for DRYRUN = " $DRYRUN > ${Exe_Output}
 	if ( $DEBUG_debug ) ; then
 	    echo "FOR EXECUTION DRYRUN mode = " $DRYRUN >> stack
